Bug 5899 - (int-147530) ContextKit: Build fails without asciidoc
(int-147530)
: ContextKit: Build fails without asciidoc
Status: RESOLVED FIXED
Product: Development platform
general
: 5.0-final
: All Linux
: Low normal (vote)
: Harmattan
Assigned To: Marius Vollmer
: dev-platform-general-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-10-29 17:24 UTC by Murray Cumming
Modified: 2009-12-10 15:34 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Murray Cumming (reporter) 2009-10-29 17:24:12 UTC
When the documentation dependencies are not installed, the build fails:

BEGIN failed--compilation aborted at ./context2asciidoc.pl line 6.
make[1]: *** [context-properties.html] Error 127
make[1]: Leaving directory `/home/murrayc/fremantle/contextkit/spec'

Or if asciidoc is not new enough (as In Fremantle):

BEGIN failed--compilation aborted at ./context2asciidoc.pl line 6.
FAILED: [blockdef-filter] missing delimiter

Either make should not fail, or configure should not allow me to get that far.
At the moment it just prints a warning that documentation will not be created.


Andre, I'm filing this under platform/general, because:

<murrayc> mvo: Hey. Where can I report a little contextkit bug? You have a
public bug-tracker somewhere, right?
<mvo> err, no, not yet...
 file it on maemo.org in General and assign it to me...
<murrayc> OK. I'm sure Andre would be happy to create a bugzilla product for
you. Shall I ask him to.
<murrayc> mvo: So do you want a b.m.o component?
 I mean, product
<mvo> Yes, please. :-)
Comment 1 Murray Cumming (reporter) 2009-10-29 17:28:45 UTC
Also, configure's --disable-doc option does not actually disable documentation
building, so I still see that error about the "missing delimiter".
Comment 2 Andre Klapper maemo.org 2009-10-30 14:37:40 UTC
I don't expect many reports against ContextKit so I wonder whether it makes
sense. There's exactly one report mentioning ContextKit internally either.
But of course it's still easier for Marius to track issues, hence I'm wondering
what product/category ContextKit is in? Nothing internal either...
Comment 3 Murray Cumming (reporter) 2009-10-30 16:30:48 UTC
I would expect plenty of ContextKit feedback from developers when it is
deployed and documented and mentioned more. It's an important new API.
Comment 4 Andre Klapper maemo.org 2009-11-23 13:31:26 UTC
Should be FIXED by
http://maemo.gitorious.org/maemo-af/contextkit/commit/641ea065cb0abc49c47443b773e942234c37d602
.
Waiting for internal release until setting this to FIXED.
Verification very welcome.
Comment 5 Andre Klapper maemo.org 2009-12-10 15:34:31 UTC
Fixed in contextkit 0.5.1+0m6.